<template>
  <div class="page-container h-screen pa-2">
    <PageTitle :title="translate('pages.products.index.title')" />

    <div class="flex flex-col justify-between px-8">
      Product show page
    </div>
  </div>

</template>

<script lang="ts" setup>
import { ref, computed } from 'vue'
import type { VuetifyPagination, VuetifyDataTableServer, TableAction } from '@/types/tableTypes'
import { ObjectHelper } from '@/helpers/ObjectHelper'
import { useRouter } from 'vue-router'
import { useI18n } from 'vue-i18n'
import { UserGuard } from '@/guards/UserGuard'
import { storeFactory } from '@/main'
import type { User } from '@/types/stores/userStoreTypes'
import { ActivityStatusEnum } from '@/enums/userEnum'
import { watch } from 'vue'

// Components
import PageTitle from '@/components/page/PageTitle.vue'
import Pagination from '@/components/Pagination.vue'

const guard = new UserGuard()
const { t: translate } = useI18n()
const router = useRouter()
const userStore = storeFactory.userStore
const modalStore = storeFactory.modalStore

const objectHelper = new ObjectHelper()
const userGuard = new UserGuard()

</script>
